Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.actions.PlayerArgs Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| PlayerArgs ()
| Constructor.
| PlayerArgs (PDFDoc doc, Screen screen_annot, Rendition rendition, string URL, string audio_format, MediaSettings player_settings)
| Constructor, with parameters. More...
| PlayerArgs (PlayerArgs player_args)
| Constructor, with another player args object. More...
void | Set (PDFDoc doc, Screen screen_annot, Rendition rendition, string URL, string audio_format, MediaSettings player_settings)
| Set values. More...

## Properties
string | audio_format`[get, set]`
| The audio format, such as "audio/wav".
PDFDoc? | doc`[get, set]`
| The PDFDoc object of the document. More...
MediaSettings? | player_settings`[get, set]`
| A MediaSettings object.
Rendition? | rendition`[get, set]`
| A foxit.pdf.Rendition object (either a MediaRendition or a RenditionList). More...
Screen? | screen_annot`[get, set]`
| A foxit.pdf.annots.Screen object. More...
string | URL`[get, set]`
| Either URL or rendition is required, with URL taking precedence.

## Detailed Description

This class represents player args.

## Constructor & Destructor Documentation

## ◆ PlayerArgs() [1/2]

foxit.pdf.actions.PlayerArgs.PlayerArgs | ( | PDFDoc | doc,
|  | Screen | screen_annot,
|  | Rendition | rendition,
|  | string | URL,
|  | string | audio_format,
|  | MediaSettings | player_settings
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | doc | The PDFDoc object of the document. Required if both annot and rendition are omitted, for example, for URL playback.
  [in] | screen_annot | A foxit.pdf.annots.Screen object. Required for docked playback unless it is found in the event object or MediaSettings.
  [in] | rendition | A pdf::Rendition object (either a MediaRendition or a RenditionList). Required unless rendition is found in the event object or URL is present.
  [in] | URL | Either URL or rendition is required, with URL taking precedence.
  [in] | audio_format | The audio format, such as "audio/wav".
  [in] | player_settings | A MediaSettings object.

## ◆ PlayerArgs() [2/2]

foxit.pdf.actions.PlayerArgs.PlayerArgs | ( | PlayerArgs | player_args | ) |
| inline

Constructor, with another player args object.

Parameters

  [in] | player_args | Another player args object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.actions.PlayerArgs.Set | ( | PDFDoc | doc,
|  | Screen | screen_annot,
|  | Rendition | rendition,
|  | string | URL,
|  | string | audio_format,
|  | MediaSettings | player_settings
| ) |  |
| inline

Set values.

Parameters

  [in] | doc | The PDFDoc object of the document. Required if both annot and rendition are omitted, for example, for URL playback.
  [in] | screen_annot | A foxit.pdf.annots.Screen object. Required for docked playback unless it is found in the event object or MediaSettings.
  [in] | rendition | A foxit.pdf.Rendition object (either a MediaRendition or a RenditionList). Required unless rendition is found in the event object or URL is present.
  [in] | URL | Either URL or rendition is required, with URL taking precedence.
  [in] | audio_format | The audio format, such as "audio/wav".
  [in] | player_settings | A MediaSettings object.

Returns
  None.

## Property Documentation

## ◆ doc

PDFDoc foxit.pdf.actions.PlayerArgs.doc
| get set

The PDFDoc object of the document.

Required if both annot and rendition are omitted, for example, for URL playback.

## ◆ rendition

Rendition foxit.pdf.actions.PlayerArgs.rendition
| get set

A foxit.pdf.Rendition object (either a MediaRendition or a RenditionList).

Required unless rendition is found in the event object or URL is present.

## ◆ screen_annot

Screen foxit.pdf.actions.PlayerArgs.screen_annot
| get set

A foxit.pdf.annots.Screen object.

Required for docked playback unless it is found in the "event" or "MediaSettings" of javascript.